# FoundationClasses
TKMath
Bnd

# Bnd_Array1OfBox2d Class Reference

`#include <Bnd_Array1OfBox2d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Bnd_Array1OfBox2d (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Bnd_Array1OfBox2d (const Bnd_Box2d &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Bnd_Box2d &V)
Standard_EXPORT void | Destroy ()
| ~Bnd_Array1OfBox2d ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Bnd_Array1OfBox2d & | Assign (const Bnd_Array1OfBox2d &Other)
const Bnd_Array1OfBox2d & | operator= (const Bnd_Array1OfBox2d &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Bnd_Box2d &Value)
const Bnd_Box2d & | Value (const Standard_Integer Index) const
const Bnd_Box2d & | operator() (const Standard_Integer Index) const
Bnd_Box2d & | ChangeValue (const Standard_Integer Index)
Bnd_Box2d & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Bnd_Array1OfBox2d (const Bnd_Array1OfBox2d &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Bnd_Array1OfBox2d::Bnd_Array1OfBox2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Bnd_Array1OfBox2d::Bnd_Array1OfBox2d | ( | const Bnd_Box2d & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Bnd_Array1OfBox2d::~Bnd_Array1OfBox2d | ( |  | ) | `[inline]`

Standard_EXPORT Bnd_Array1OfBox2d::Bnd_Array1OfBox2d | ( | const Bnd_Array1OfBox2d & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Bnd_Array1OfBox2d& Bnd_Array1OfBox2d::Assign | ( | const Bnd_Array1OfBox2d & | Other | ) |

Bnd_Box2d& Bnd_Array1OfBox2d::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Bnd_Array1OfBox2d::Destroy | ( |  | ) |

Standard_EXPORT void Bnd_Array1OfBox2d::Init | ( | const Bnd_Box2d & | V | ) |

Standard_Boolean Bnd_Array1OfBox2d::IsAllocated | ( |  | ) | const

Standard_Integer Bnd_Array1OfBox2d::Length | ( |  | ) | const

Standard_Integer Bnd_Array1OfBox2d::Lower | ( |  | ) | const

void Bnd_Array1OfBox2d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Bnd_Array1OfBox2d::operator new | ( | size_t | size | ) | `[inline]`

void* Bnd_Array1OfBox2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Bnd_Box2d& Bnd_Array1OfBox2d::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Bnd_Box2d& Bnd_Array1OfBox2d::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Bnd_Array1OfBox2d& Bnd_Array1OfBox2d::operator= | ( | const Bnd_Array1OfBox2d & | Other | ) | `[inline]`

void Bnd_Array1OfBox2d::SetValue | ( | const Standard_Integer | Index,
|  | const Bnd_Box2d & | Value
| ) |

Standard_Integer Bnd_Array1OfBox2d::Upper | ( |  | ) | const

const Bnd_Box2d& Bnd_Array1OfBox2d::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Bnd_Array1OfBox2d::isAllocated `[private]`

Standard_Integer Bnd_Array1OfBox2d::myLowerBound `[private]`

Standard_Address Bnd_Array1OfBox2d::myStart `[private]`

Standard_Integer Bnd_Array1OfBox2d::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Bnd_Array1OfBox2d.hxx